Bug 856858 - Review Request: Jokte - Latam CMS, Joomla Fork
Review Request: Jokte - Latam CMS, Joomla Fork
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 870181 (view as bug list)
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2012-09-12 21:20 EDT by Juan Botero
Modified: 2013-11-21 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan Botero 2012-09-12 21:20:29 EDT
Spec URL: http://jpill.fedorapeople.org/jokte/jokte.spec
SRPM URL: http://jpill.fedorapeople.org/jokte/jokte-cms-1.1-1.src.rpm
Description: Jokte is a CMS, created by Latin American Community juuntos.org, is based in Joomla.
Jokte! is totally free, its licence is GPL and trademark is Copyleft.
Fedora Account System Username: jpill

I'm Fedora Ambassador for Colombia, this is my first Package, so, i need an sponsor.

Thanks for attention
Comment 1 Eduardo Echeverria 2012-09-12 22:09:51 EDT
Hi Juan 
Some comments:
Source0: The full URL for the compressed archive containing the (original) pristine source code, as upstream released it. "Source" is synonymous with "Source0". If you give a full URL (and you should), its basename will be used when looking in the SOURCES directory. If possible, embed %{name} and %{version}, so that changes to either will go to the right place. Preserve timestamps when downloading source files. If there is more than one source, name them Source1, Source2 and so on. If you're adding whole new files in addition to the pristine sources, list them as sources after the pristine sources. A copy of each of these sources will be included in any SRPM you create, unless you specifically direct otherwise. See Source URL for more information on special cases (e.g. revision control). 

Summary: A brief, one-line summary of the package. Use American English. Do not end in a period. 

%description: A longer, multi-line description of the program. Use American English. All lines must be 80 characters or less. Blank lines indicate a new paragraph. Some graphical user interface installation programs will reformat paragraphs; lines that start with whitespace will be treated as preformatted text and displayed as is, normally with a fixed-width fo

https://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview

Changelog Example:
%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 02 2010 Kamil Dudka <kdudka@redhat.com> 2.1.5-20
- handle multi-partition devices with spaces in mount points properly (#608502)

Use rpmlint to check the errors on SRPMS and RPM 
Regards
Comment 2 Eduardo Echeverria 2012-09-12 22:15:14 EDT
If this is your first need a sponsor package, put the block FE-NEEDSPONSOR
Comment 3 Juan Botero 2012-09-12 23:19:57 EDT
Hello Eduardo.

Thanks for checking, one question.

This
If possible, embed %{name} and
%{version}, so that changes to either will go to the right place.

Means at the beginning of spec file?

Name: jokte-cms
Version: 1.1

Replace With
Name: jokte-cms1.1

Thanks.
Comment 4 Eduardo Echeverria 2012-09-12 23:29:36 EDT
Hi juan, this can help
https://fedoraproject.org/wiki/Packaging/NamingGuidelines
Comment 5 Juan Botero 2012-09-13 00:44:20 EDT
Hello.

I updated the Spec file: http://jpill.fedorapeople.org/jokte/jokte-cms.spec
and the SRPM too: http://jpill.fedorapeople.org/jokte/jokte-cms-1.1-1.src.rpm

Thanks again.
Comment 6 Luis Bazan 2012-09-13 10:16:34 EDT
Hi Juan 

these is a example:

Name:           jokte-cms
Version:        1.1
Release:        1%{?dist}
Summary:        Latin American CMS, fork of Joomla CMS
License:        GPL
Group:          Applications/Internet
URL:            https://github.com/JokteLatinoamerica/
Source0:        https://github.com/downloads/JokteLatinoamerica/jokte-cms/Jokte-cms-v1.1.tar.gz
BuildArch:      noarch
 
Requires:       mysql >= 5.0
BuildRequires:  

--------------------------------------------------------------------------------

Review the https://fedoraproject.org/wiki/How_to_create_an_RPM_package/es#Creando_un_archivo_spec

remember check use rpmlint
and try test in koji 

Regards!
Comment 7 Juan Botero 2012-09-13 13:09:25 EDT
I updated the spec file with release tag.

Thanks.
Comment 8 Luis Bazan 2012-10-08 11:34:43 EDT
Ping, any progress here?
Comment 9 Juan Botero 2012-10-22 11:41:56 EDT
Hello.

I Now have the Spec File, updated in: http://jpill.fedorapeople.org/jokte/

The koji build in: https://koji.fedoraproject.org/koji/taskinfo?taskID=4481815

but i don't know what do i miss?
Comment 10 Michael Schwendt 2012-12-05 16:10:54 EST
*** Bug 870181 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.